# -*- coding: utf-8 -*-
# **************************************************************************
# *
# * Authors:     J.M. De la Rosa Trevin (delarosatrevin@scilifelab.se) [1]
# *
# * [1] SciLifeLab, Stockholm University
# *
# * This program is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * This program is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with this program.  If not, see <https://www.gnu.org/licenses/>.
# *
# *  All comments concerning this program package may be sent to the
# *  e-mail address 'scipion@cnb.csic.es'
# *
# **************************************************************************
"""
Mock Domain definition that will be used by basic tests.
"""

from pyworkflow.protocol import Protocol
from pyworkflow.wizard import Wizard
from pyworkflow.viewer import Viewer
from pyworkflow.utils import getSubclasses
from pyworkflow.plugin import Domain as pwDomain, Plugin as pwPlugin

from .objects import MockObject


class TestDomain(pwDomain):
    _name = __name__
    _objectClass = MockObject
    _protocolClass = Protocol
    _viewerClass = Viewer
    _wizardClass = Wizard
    _baseClasses = getSubclasses(MockObject, globals())


Domain = TestDomain


class Plugin(pwPlugin):
    pass
